package com.gic.haoban.manage.api.dto.welcome.dto;

import java.io.Serializable;
import java.util.List;

/**
 * desc：欢迎语详情dto
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class WelcomeDetailDTO implements Serializable {
    private static final long serialVersionUID = 3769230492381481354L;
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 0关闭 1开启
     */
    private Integer openFlag;
    /**
     * 默认欢迎语标记 1是 0否
     */
    private Integer defaultWelcomeFlag;

    /**
     * 欢迎语类型
     */
    private Integer type;
    /**
     * 适用部门列表
     */
    private List<WelcomeSuitDepartmentDTO> suitDepartmentList;
    /**
     * 适用员工列表
     */
    private List<WelcomeSuitStaffDTO> suitStaffList;
    /**
     * 欢迎语媒体列表
     */
    private List<WelcomeMediaDTO> welcomeMediaList;

    private int scene ;

    public int getScene() {
        return scene;
    }

    public void setScene(int scene) {
        this.scene = scene;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public List<WelcomeSuitDepartmentDTO> getSuitDepartmentList() {
        return suitDepartmentList;
    }

    public void setSuitDepartmentList(List<WelcomeSuitDepartmentDTO> suitDepartmentList) {
        this.suitDepartmentList = suitDepartmentList;
    }

    public List<WelcomeSuitStaffDTO> getSuitStaffList() {
        return suitStaffList;
    }

    public void setSuitStaffList(List<WelcomeSuitStaffDTO> suitStaffList) {
        this.suitStaffList = suitStaffList;
    }

    public List<WelcomeMediaDTO> getWelcomeMediaList() {
        return welcomeMediaList;
    }

    public void setWelcomeMediaList(List<WelcomeMediaDTO> welcomeMediaList) {
        this.welcomeMediaList = welcomeMediaList;
    }

    public Integer getDefaultWelcomeFlag() {
        return defaultWelcomeFlag;
    }

    public void setDefaultWelcomeFlag(Integer defaultWelcomeFlag) {
        this.defaultWelcomeFlag = defaultWelcomeFlag;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "WelcomeDetailDTO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", openFlag=" + openFlag +
                ", welcomeMediaList=" + welcomeMediaList +
                '}';
    }
}
